# vstring_fwd.h File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library. This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file vstring_fwd.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Defines

- #define _VSTRING_FWD_H

## Typedefs

- typedef __versa_string< char,
  std::char_traits< char >,
  std::allocator< char >, __rc_string_base > __gnu_cxx::__rc_string
- typedef __vstring __gnu_cxx::__sso_string
- typedef __versa_string< char > __gnu_cxx::__vstring
- typedef __versa_string< wchar_t,
  std::char_traits< wchar_t >,
  std::allocator< wchar_t >,
  __rc_string_base > __gnu_cxx::__wrc_string
- typedef __wvstring __gnu_cxx::__wsso_string
- typedef __versa_string< wchar_t > __gnu_cxx::__wvstring